package com.xinelu.manage.domain.patienttaskpushrecord;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 患者管理任务推送方式记录对象 patient_task_push_record
 *
 * @author xinelu
 * @date 2024-03-21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "患者管理任务推送方式记录对象", description = "patient_task_push_record")
public class PatientTaskPushRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 患者表id
     */
    @ApiModelProperty(value = "患者表id")
    @Excel(name = "患者表id")
    private Long patientId;

    /**
     * 签约患者管理任务节点表id
     */
    @ApiModelProperty(value = "签约患者管理任务节点表id")
    @Excel(name = "签约患者管理任务节点表id")
    private Long manageRouteNodeId;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    @Excel(name = "患者姓名")
    private String patientName;

    /**
     * 管理路径节点名称
     */
    @ApiModelProperty(value = "管理路径节点名称")
    @Excel(name = "管理路径节点名称")
    private String routeNodeName;

    /**
     * 管理任务推送方式，微信小程序：微信公众号：，短信：，IM：
     */
    @ApiModelProperty(value = "管理任务推送方式，微信小程序：微信公众号：，短信：，IM：")
    @Excel(name = "管理任务推送方式，微信小程序：微信公众号：，短信：，IM：")
    private String taskPushType;

    /**
     * 管理任务推送时间，格式：yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(value = "管理任务推送时间，格式：yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "管理任务推送时间，格式：yyyy-MM-dd HH:mm:ss", width = 30, dateFormat = "yyyy-MM-dd")
    private Date taskPushDate;

    /**
     * 管理任务推送备注
     */
    @ApiModelProperty(value = "管理任务推送备注")
    @Excel(name = "管理任务推送备注")
    private String taskPushRemark;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("patientId", getPatientId())
                .append("manageRouteNodeId", getManageRouteNodeId())
                .append("patientName", getPatientName())
                .append("routeNodeName", getRouteNodeName())
                .append("taskPushType", getTaskPushType())
                .append("taskPushDate", getTaskPushDate())
                .append("taskPushRemark", getTaskPushRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
